Skip to content

List all pods

GET
/v1/admin/pods

Returns all pods with their associated boards.

Authorizations

BearerAuth

API key (Bearer key_...)

Type
API Key (header: Authorization)

Responses

OK

application/json
JSON
[
  
{
  
  
"boards": [
  
  
  
{
  
  
  
  
"board_type": "string",
  
  
  
  
"created_at": "string",
  
  
  
  
"current_session_id": "string",
  
  
  
  
"device": "string",
  
  
  
  
"disabled": true,
  
  
  
  
"id": "string",
  
  
  
  
"label": "string",
  
  
  
  
"pod_id": "string",
  
  
  
  
"sled_version": "string",
  
  
  
  
"specs": "string",
  
  
  
  
"state": "string"
  
  
  
}
  
  
],
  
  
"created_at": "string",
  
  
"disabled": true,
  
  
"id": "string",
  
  
"label": "string",
  
  
"last_heartbeat": "string",
  
  
"last_stats": "string",
  
  
"state": "string"
  
}
]

Playground

Authorization

Samples

Powered by VitePress OpenAPI